Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.jimi.core.raster.stamped
Class StampedIntRasterImage

    java.lang.Object
      |
      +--com.sun.jimi.core.raster.stamped.StampedRasterImageSupport
            |
            +--com.sun.jimi.core.raster.stamped.StampedIntRasterImage

public class StampedIntRasterImage
extends StampedRasterImageSupport
implements ChanneledIntRasterImage

Wrapper to an IntRasterImage which applies a stamp to the image.

Field Summary
`protected ChanneledIntRasterImage` | `channeledImage`
`protected IntRasterImage` | `image`

Fields inherited from class com.sun.jimi.core.raster.stamped.StampedRasterImageSupport
`error, ERROR_SET, horizStamps, imageIndex, nextError, random, stampAreaHeight, stampAreaWidth, stampheight, stampwidth, stampx, stampy, vertStamps, wrappedImage`

Constructor Summary
`StampedIntRasterImage(IntRasterImage image)`

Method Summary
`void` | `getChannelRectangle(int channel, int x, int y, int width, int height, byte[] buffer, int offset, int scansize)`
`void` | `getChannelRow(int channel, int y, byte[] buffer, int offset)`
`int` | `getPixel(int x, int y)`
`void` | `getRectangle(int x, int y, int width, int height, int[] buffer, int offset, int scansize)`
`void` | `getRow(int y, int[] buffer, int offset)`
`void` | `setChannelPixel(int channel, int x, int y, byte value)`
`void` | `setChannelRectangle(int channel, int x, int y, int width, int height, byte[] pixels, int offset, int scansize)`
`void` | `setChannelRow(int channel, int y, byte[] pixels, int offset)`
`void` | `setPixel(int x, int y, int value)` Set a pixel.
`void` | `setRectangle(int x, int y, int width, int height, int[] pixels, int offset, int scansize)` Set a rectangular area of pixel data.
`void` | `setRow(int y, int[] pixels, int offset)` Set a row of pixel data.

Methods inherited from class com.sun.jimi.core.raster.stamped.StampedRasterImageSupport
`asByteArray, asIntArray, decideError, getColorModel, getCroppedImageProducer, getFactory, getHeight, getImageProducer, getOptions, getPixelRGB, getProperties, getRectangleARGBChannels, getRectangleRGB, getRectangleRGBAChannels, getRectangleRGBChannels, getRowRGB, getWidth, isError, mustWaitForOptions, setDecodingController, setError, setFinished, setImageConsumerHints, setOptions, setWaitForOptions, waitFinished, waitInfoAvailable`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### image

    protected IntRasterImage image

### channeledImage

    protected ChanneledIntRasterImage channeledImage

Constructor Detail

### StampedIntRasterImage

    public StampedIntRasterImage(IntRasterImage image)

Method Detail

### setRectangle

    public void setRectangle(int x,
                             int y,
                             int width,
                             int height,
                             int[] pixels,
                             int offset,
                             int scansize)
                      throws ImageAccessException

  Set a rectangular area of pixel data.
  Parameters:
    `x` - x-coordinate
    `y` - y-coordinate
    `width` - rectangle width
    `height` - rectangle height
    `pixels` - pixel data
    `offset` - offset in pixels to start at
    `scansize` - length from the start of one row to the start of the next
  Throws:
    ImageAccessException - if an error prevents image from being accessed

### setRow

    public void setRow(int y,
                       int[] pixels,
                       int offset)
                throws ImageAccessException

  Set a row of pixel data.
  Parameters:
    `y` - y-coordinate
    `pixels` - pixel data
    `offset` - offset in pixels to start at
  Throws:
    ImageAccessException - if an error prevents image from being accessed

### setPixel

    public void setPixel(int x,
                         int y,
                         int value)
                  throws ImageAccessException

  Set a pixel.
  Parameters:
    `x` - x-coordinate
    `y` - y-coordinate
    `value` - pixel value
  Throws:
    ImageAccessException - if an error prevents image from being accessed

### getRectangle

    public void getRectangle(int x,
                             int y,
                             int width,
                             int height,
                             int[] buffer,
                             int offset,
                             int scansize)
                      throws ImageAccessException

### getRow

    public void getRow(int y,
                       int[] buffer,
                       int offset)
                throws ImageAccessException

### getPixel

    public int getPixel(int x,
                        int y)
                 throws ImageAccessException

### getChannelRectangle

    public void getChannelRectangle(int channel,
                                    int x,
                                    int y,
                                    int width,
                                    int height,
                                    byte[] buffer,
                                    int offset,
                                    int scansize)
                             throws ImageAccessException

  Overrides:
    getChannelRectangle in class StampedRasterImageSupport

### getChannelRow

    public void getChannelRow(int channel,
                              int y,
                              byte[] buffer,
                              int offset)
                       throws ImageAccessException

### setChannelRectangle

    public void setChannelRectangle(int channel,
                                    int x,
                                    int y,
                                    int width,
                                    int height,
                                    byte[] pixels,
                                    int offset,
                                    int scansize)
                             throws ImageAccessException

  Specified by:
    setChannelRectangle in interface ChanneledIntRasterImage

### setChannelRow

    public void setChannelRow(int channel,
                              int y,
                              byte[] pixels,
                              int offset)
                       throws ImageAccessException

  Specified by:
    setChannelRow in interface ChanneledIntRasterImage

### setChannelPixel

    public void setChannelPixel(int channel,
                                int x,
                                int y,
                                byte value)
                         throws ImageAccessException

  Specified by:
    setChannelPixel in interface ChanneledIntRasterImage

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD